#
# spec file for package golang-org-x
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            crypto
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/crypto

Name:           golang-org-x-%{repo}
Version:        1.5.2+git20161212.9a6f0a0
Release:        2.1
Summary:        Go supplementary cryptography libraries
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang-org-x-net-context
Requires:       golang-org-x-net-context

%{go_nostrip}
%{go_provides}

%description
Go supplementary cryptography libraries.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%files -f file.lst
%defattr(-,root,root,-)
%doc README LICENSE PATENTS AUTHORS CONTRIBUTORS

%changelog
* Tue Feb 28 2017 thipp@suse.de
- Fix requirements
* Tue Dec 13 2016 tboerger@suse.com
- Update to version 1.5.2+git20161212.9a6f0a0:
  * blake2s: fix build constraints
  * chacha20poly1305: fix build constraints
  * x/crypto/ssh: Add FingerprintLegacyMD5 and FingerprintSHA256 methods
  * acme/autocert: remove trailing dot from domain before requesting cert
  * x/crypto/blake2b: SSE4.1 is bit 19, not 15.
  * chacha20poly1305: make polyHashADInternal private
  * bn256: fix equations in comments
  * x/crypto/ssh/terminal: replace \n with \r\n.
  * x/crypto/ocsp: Don't hard-code OCSP response hash function
  * blake2b: fix constant size
* Tue Dec 13 2016 tboerger@suse.com
- Updated service definition
* Wed Aug 17 2016 tboerger@suse.com
- Added rpmlintrc for common golang linting
* Tue Aug 16 2016 tboerger@suse.com
- Applied latest changes for golang-packaging
* Fri Jul  8 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
- Reformatted service file properly
* Sat Dec 26 2015 matwey.kornilov@gmail.com
- Update to version 1.5.2+git20151215.f18420e:
  + x/crypto/pkcs12: deal with short byte array in PBKDF
  + otr: smpFailureError processing tlvTypeSMP3 prevents sending tlvTypeSMP4
  + x/crypto/openpgp/packet: fix message for errors resulting from an unknown cipher.
  + crypto/ssh: fix typo in error string.
  + x/crypto/otr: clear key slots when handshaking.
  + x/crypto/otr: make errors fatal.
  + x/crypto/otr: update libotr test code for version 4.
  + x/crypto/otr: reformat the libotr test harness with clang-format.
  + x/crypto/ssh: run go fmt
  + x/crypto/ssh/agent: Fix keyring removing the wrong key(s)
- Removed crypto-fix-ssh.patch: has been upstreamed
* Fri Sep  4 2015 dvaleev@suse.com
- Fix flaky TestHostKeyCert test (crypto-fix-ssh.patch) (boo#944474)
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-org-x-crypto
- update version 0.0.0+git20150711.f6a608d
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- update version 0.0.0+git20150318.b7d6bf2
- disable gotest for sle
* Fri Feb 27 2015 matwey.kornilov@gmail.com
- Initial version
